## p7zip 9.04~dfsg.1-1+5.0trisquel1

=== debian/changelog ===
p7zip (9.04~dfsg.1-1+5.0trisquel1) dagda; urgency=low

  * Remove non free suggests

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 12 Dec 2011 17:57:15 +0000

p7zip (9.04~dfsg.1-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.8.2.

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Sat, 27 Jun 2009 16:20:41 +0200

p7zip (4.65~dfsg.1-1) unstable; urgency=low

  * New upstream release.
  * Remove wx2.8 Build-Depends added by mistakes (7zG is not yet
    intended to be built).
  * Use dh_clean without -k.

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Sat, 14 Feb 2009 20:12:27 +0100

p7zip (4.61~dfsg.1-1) experimental; urgency=low

  * New upstream release:
     + use BCJ /BCJ2 filters for executables. (Closes: #506657)

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Thu, 04 Dec 2008 23:34:59 +0100

p7zip (4.58~dfsg.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
     + bump Standards-Version to 3.8.0.
     + bump build-dependency on debhelper 7.
  * debian/compat: set compatibility level to 7.
  * Don't use hyphen as a minus in man pages.

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Sat, 21 Jun 2008 15:29:00 +0200

p7zip (4.57~dfsg.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
     + add Homepage field.
     + bump Standards-Version to 3.7.3.
     + tighten description to tell about /usr/bin/p7zip.
  * debian/copyright converted to Unicode encoding.
  * debian/patches:
     + 03_fix_FTBFS_GNU-kFreeBSD.diff: removed, included upstream.
     + 02_man.patch: refreshed and fixed link to DOCS. (Closes: #452084)
  * Don't install /usr/share/p7zip/ which is empty.
  * Install 7zr to /usr/lib/p7zip and use a wrapper to call it so as
    to have -sfx option working.

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Fri, 21 Dec 2007 16:41:17 +0100

p7zip (4.55~dfsg.1-2) unstable; urgency=low

  * Bump debhelper compatibility to 5.
  * Our Makefile is called makefile. (Closes: #442697)

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Sun, 16 Sep 2007 23:19:51 +0200

p7zip (4.55~dfsg.1-1) unstable; urgency=low

  * New upstream release.

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Fri, 14 Sep 2007 22:42:17 +0200

p7zip (4.53~dfsg.1-1) unstable; urgency=low

  * New upstream release

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Tue, 11 Sep 2007 16:39:29 +0200

p7zip (4.51~dfsg.1-2) unstable; urgency=low

  * Our clean rule is clean, not distclean!
  * 04_no_strip_by_default.diff: don't strip binaries by default.
    (Closes: #437736)
  * Don't install License.txt.

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Tue, 14 Aug 2007 22:35:09 +0200

p7zip (4.51~dfsg.1-1) unstable; urgency=low

  * New upstream release
  * Fix FTBFS on GNU/kFreeBSD (Closes: #430357)
     + patch courtesy from Petr Salinger.
  * Suggest p7zip-full instead of Recommend-ing it. (Closes: #435592)
  * Install 7za to /usr/lib/p7zip and use a wrapper to call it so as
    to have -sfx option working. (Closes: #435556)
  * Fix lintian warnings:
     + don't hide clean target errors.
     + don't install DOCS/License.txt.

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Sat, 04 Aug 2007 21:27:22 +0200

p7zip (4.47~dfsg.1-1) unstable; urgency=low

  * New upstream version:
     + refresh patches.

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Fri, 08 Jun 2007 10:33:32 +0200

p7zip (4.45~dfsg.1-2) unstable; urgency=low

  * Install 7zCon.sfx so enable SFX archives too.

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Sat, 28 Apr 2007 01:31:22 +0200

p7zip (4.45~dfsg.1-1) unstable; urgency=low

  * New upstream version:
     + (new -b command to benchmark).
     + if -t is not specified, try to autodetect format using file extension.
     + all the Codecs are now linked in 7z.so and no more stored in Codecs/.
  * Add AES code license to debian/copyright.
  * Suggests: p7zip-rar.
  * Refresh 01_makefile.patch.
  * Update debian/rules with new makefile name.
  * p7zip-full.install: bin/Formats no longer exists.

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Sat, 21 Apr 2007 23:00:15 +0200

p7zip (4.44~dfsg.1-2) unstable; urgency=low

  * Correct path to HTML documentation in manpage. (Closes: #411491)
  * 03_respect-umask.diff:
     + new patch from Joshua Rodman <jrodman@debbugs.spamportal.net>
     + not applied currently
     + don't always create world-writable directories. (Ref: #413829)

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Tue, 10 Apr 2007 00:28:08 +0200

p7zip (4.44~dfsg.1-1) experimental; urgency=low

  * New upstream version.
  * Refresh patches and escape hyphens in manpages.

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Sat, 27 Jan 2007 01:30:00 +0100

p7zip (4.43~dfsg.1-2) unstable; urgency=low

  * Improve description wording. (Closes: #391066, #404081, #404092)
  * Correct manpages: 02_man.patch and debian/p7zip.1
     + replace {DEST_SHARE_DOC} with /usr/share/doc/p7zip.
       (Closes: #404096)
     + improve "SEE ALSO" section by adding references to other tools and by
       ordering them alphabetically (Closes: #403968)
     + correct title and NAME. (Closes: #404095)

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Tue, 26 Dec 2006 20:13:19 +0100

p7zip (4.43~dfsg.1-1) unstable; urgency=low

  * New upstream release.
  * Refresh debian/patches.

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Mon, 25 Sep 2006 00:14:37 +0200

p7zip (4.42.dfsg.1-3) unstable; urgency=low

  * Include improvements to Robert Millan's wrapper script. (Closes: #379397)
  * Correct watch file to use <http://qa.debian.org/watch/sf.php/>.

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Tue, 19 Sep 2006 02:15:01 +0200

p7zip (4.42.dfsg.1-2) unstable; urgency=low

  * Backup makefile.machine before replacing it and restore it after build.
  * Put ${file} between quotes for the case the filename contains spaces.
  * Pop all patches first in clean target so that it does not fail.


